RewriteEngine On

RewriteCond %{HTTP_HOST} !^www\..* [NC]
RewriteCond %{HTTP_HOST} !^[0-9]+\.[0-9]+\..+ [NC]
RewriteRule ^(.*) http://www.%{HTTP_HOST}/$1 [R=301,L]

RewriteRule ^blog-([0-9]+).html$ index.php?act=blog&id=$1
RewriteRule ^page-(.*).html$ index.php?act=page&id=$1
RewriteRule ^cat-(.*).html$ index.php?cat=$1
RewriteRule ^user-(.*).html$ index.php?act=user&id=$1
RewriteRule ^blog-archive-(.*).html$ index.php?act=archive&cat=$1

RewriteRule ^blog-archive.html$ index.php?act=archive
RewriteRule ^blog-stats.html$ index.php?act=stats
RewriteRule ^blog-files.html$ index.php?act=files
RewriteRule ^login.html$ index.php?act=login
RewriteRule ^logout.html$ index.php?act=logout
RewriteRule ^members.html$ index.php?act=memberslist
RewriteRule ^register.html$ index.php?act=register
RewriteRule ^subscribe.html$ index.php?act=subscribe